Subject: [OSPF] Some questions on RFC3101

From: guoqiang 03022 <[email-masked]>
Date: Thu, 24 Jul 2008 08:52:56 +0800

Hi,

I have some questions on RFC3101,NSSA.

(1) As per RFC2328, under section 12.4.4.1:

      RTA and RTB would originate the same set of 
      AS-external-LSAs.  These LSAs, if they specify
      the same metric, would be functionally 
      equivalent since they would specify the same 
      destination and forwarding address (RTX).  
      This leads to a clear duplication of
      effort.  If only one of RTA or RTB originated
      the set of AS-external-LSAs, the routing would
      remain the same, and the size of the link state
      database would decrease.  However, it must be 
      unambiguously defined as to which router 
      originates the LSAs (otherwise neither may, 
      or the identity of the originator may 
      oscillate).  The following rule is thereby 
      established: if two routers, both reachable
      from one another, originate functionally 
      equivalent AS-external-LSAs (i.e., same 
      destination, cost and non-zero forwarding
      address), then the LSA originated by the router
      having the highest OSPF Router ID is used.  
      The router having the lower OSPF Router ID can 
      then flush its LSA.
      
Does the translated Type-5 LSAs act the same as above? if so, how can two abrs do the translation together without aggregation?

(2) In rfc1587, the Type-7 to Type-5 translation is done according to routes generated by type-7 LSAs, while in rfc3101, the translation is based on Type-7 LSAs.
    
Why this change hanppens? if the abr has a type-7 lsa  with P-bit set, but hasn't a type-7 route(maybe inter or none),shall the Type-7 LSA be translated?
     
(3) In Section 2.4 "Originating Type-7 LSAs" and 2.5 
"Calculating Type-7 AS External Routes", when two    
lsa functions the same, the Type-7 LSA with the 
P-bit set is preferred. while in rfc1587, the 
Type-5 LSA is prefferred.
    
Is it because to choose the more widely spread LSA to avoid Appendix E situation? What's the reason?
    
Thanks and Regards
 -guoqiang

_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Wed, 23 Jul 2008 21:30:05 -0400

Quoquiang - See inline.

On Jul 23, 2008, at 8:52 PM, guoqiang 03022 wrote:

> Does the translated Type-5 LSAs act the same as above? if so, how  
> can two abrs do the translation together without aggregation?

If the NSSA ABRs preferred different ASBRs for the same type-7 prefix  
within the NSSA, they would originate different translated type-5  
LSAs. As you note, aggregation would be another case where multiple  
NSSA ABRs would translate type-5 LSAs. However, in most cases, a  
single ABR performing translation will suffice.

>
> (2) In rfc1587, the Type-7 to Type-5 translation is done according  
> to routes generated by type-7 LSAs, while in rfc3101, the  
> translation is based on Type-7 LSAs.
>
> Why this change hanppens? if the abr has a type-7 lsa  with P-bit  
> set, but hasn't a type-7 route(maybe inter or none),shall the  
> Type-7 LSA be translated?

An ABR should only originate a translated type-5 LSAs when a type 7  
route is installed. This probably should be clearer. However, RFC  
3101 states:

3.2 Translating Type-7 LSAs into Type-5 LSAs

    This step is performed as part of the NSSA's Dijkstra calculation
    after Type-5 and Type-7 routes have been calculated.

> Appendix E situation? What's the reason?

The reason is that with RFC 1587, a non-translating ABR for an NSSA  
will prefer the translated type 5 LSA over the MSSA's type 7 LSA. So,  
the translating ABR would have a type-7 route and the other ABR(s)  
would have type-5 route(s). This seemed inconsistent. The route path  
will be the same since they should both have the same forwarding  
address.

Hope this helps,
Acee